import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class AxisDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private bb;
    get formatLabelRef(): string;
    set formatLabelRef(a: string);
    private bs;
    get title(): string;
    set title(a: string);
    private bq;
    get stroke(): string;
    set stroke(a: string);
    private a7;
    get actualStroke(): string;
    set actualStroke(a: string);
    private aa;
    get strokeThickness(): number;
    set strokeThickness(a: number);
    private bp;
    get strip(): string;
    set strip(a: string);
    private bl;
    get majorStroke(): string;
    set majorStroke(a: string);
    private a5;
    get actualMajorStroke(): string;
    set actualMajorStroke(a: string);
    private y;
    get majorStrokeThickness(): number;
    set majorStrokeThickness(a: number);
    private bm;
    get minorStroke(): string;
    set minorStroke(a: string);
    private a6;
    get actualMinorStroke(): string;
    set actualMinorStroke(a: string);
    private z;
    get minorStrokeThickness(): number;
    set minorStrokeThickness(a: number);
    private br;
    get tickStroke(): string;
    set tickStroke(a: string);
    private ac;
    get tickStrokeThickness(): number;
    set tickStrokeThickness(a: number);
    private ab;
    get tickLength(): number;
    set tickLength(a: number);
    private g;
    get isDisabled(): boolean;
    set isDisabled(a: boolean);
    private h;
    get isInverted(): boolean;
    set isInverted(a: boolean);
    private k;
    get useEnhancedIntervalManagement(): boolean;
    set useEnhancedIntervalManagement(a: boolean);
    private a3;
    get enhancedIntervalMinimumCharacters(): number;
    set enhancedIntervalMinimumCharacters(a: number);
    private bi;
    get labelTextColor(): string;
    set labelTextColor(a: string);
    private bh;
    get labelLocation(): string;
    set labelLocation(a: string);
    private i;
    get labelShowFirstLabel(): boolean;
    set labelShowFirstLabel(a: boolean);
    private r;
    get labelAngle(): number;
    set labelAngle(a: number);
    private t;
    get labelExtent(): number;
    set labelExtent(a: number);
    private v;
    get labelLeftMargin(): number;
    set labelLeftMargin(a: number);
    private w;
    get labelRightMargin(): number;
    set labelRightMargin(a: number);
    private x;
    get labelTopMargin(): number;
    set labelTopMargin(a: number);
    private s;
    get labelBottomMargin(): number;
    set labelBottomMargin(a: number);
    private bg;
    get labelHorizontalAlignment(): string;
    set labelHorizontalAlignment(a: string);
    private bj;
    get labelVerticalAlignment(): string;
    set labelVerticalAlignment(a: string);
    private a9;
    get crossingAxisRef(): string;
    set crossingAxisRef(a: string);
    private ba;
    get crossingValueRef(): string;
    set crossingValueRef(a: string);
    private by;
    get titlePosition(): string;
    set titlePosition(a: string);
    private bz;
    get titleTextColor(): string;
    set titleTextColor(a: string);
    private bx;
    get titleLocation(): string;
    set titleLocation(a: string);
    private j;
    get titleShowFirstLabel(): boolean;
    set titleShowFirstLabel(a: boolean);
    private ad;
    get titleAngle(): number;
    set titleAngle(a: number);
    private af;
    get titleExtent(): number;
    set titleExtent(a: number);
    private ah;
    get titleLeftMargin(): number;
    set titleLeftMargin(a: number);
    private ai;
    get titleRightMargin(): number;
    set titleRightMargin(a: number);
    private aj;
    get titleTopMargin(): number;
    set titleTopMargin(a: number);
    private ae;
    get titleBottomMargin(): number;
    set titleBottomMargin(a: number);
    private bw;
    get titleHorizontalAlignment(): string;
    set titleHorizontalAlignment(a: string);
    private b0;
    get titleVerticalAlignment(): string;
    set titleVerticalAlignment(a: string);
    private a8;
    get coercionMethodsRef(): string;
    set coercionMethodsRef(a: string);
    private f;
    get expectFunctions(): boolean;
    set expectFunctions(a: boolean);
    private bn;
    get rangeChangedRef(): string;
    set rangeChangedRef(a: string);
    private bo;
    get renderRequestedRef(): string;
    set renderRequestedRef(a: string);
    private bc;
    get label(): string;
    set label(a: string);
    private bd;
    get labelFontFamily(): string;
    set labelFontFamily(a: string);
    private u;
    get labelFontSize(): number;
    set labelFontSize(a: number);
    private bf;
    get labelFontWeight(): string;
    set labelFontWeight(a: string);
    private be;
    get labelFontStyle(): string;
    set labelFontStyle(a: string);
    private bt;
    get titleFontFamily(): string;
    set titleFontFamily(a: string);
    private ag;
    get titleFontSize(): number;
    set titleFontSize(a: number);
    private bv;
    get titleFontWeight(): string;
    set titleFontWeight(a: string);
    private bu;
    get titleFontStyle(): string;
    set titleFontStyle(a: string);
    private bk;
    get labelVisibility(): string;
    set labelVisibility(a: string);
}
